'
' -------------------------------------------------------------------
' FbToRqInc       Form.Inc       June 28th, 2006            by Jacques
' -------------------------------------------------------------------
'
Create frmFBTORQINC As QForm
    Center
    Width = Val(myIni.Read ("FormWidth", "900")) ' 900
    height = Val(myIni.Read ("FormHeight", "800")) ' 800
    Caption = "frmFBtoRQINC   " & VERSION
    AutoScroll = False
    OnClose = OnClose_frmFBTORQINC
    Font.Size = 8
    Create pnlRight As QPanel
        Width = Val(myIni.Read("pnlRightWidth", Str$(frmFBTORQINC.ClientWidth * 0.25)))
        Align = alRight
        Create dirTree AS QDirTree
            Height =  Val(myIni.Read("dirTreeHeight", Str$(frmFBTORQINC.ClientHeight/2)))
            Align = alTop
            InitialDir = CURDIR$
            Font.Name = myIni.Read("DirFileListFontName", frmFBTORQINC.Font.Name)
            Font.Size = Val(myIni.Read("DirFileListFontSize", Str$(8)))
            OnChange = OnChange_Directory
        End Create
        Create pnlRightTop As QPanel
            Height = 60 ' 75
            Align = alTop
            Create pnlRightTop_up As QPanel
                Height = 30
                Align = alTop
                Create lblMyLabel As QLabel
                    Height = 30
                    align = alLeft
                    Font.Size = 12
                    Caption = " Files Filter : "
                End Create
                Create edtFileFilter AS QEdit
                    align = alClient
                    Width = 60
                    Height = 30
                    Font.Size = 8
                    Font.Bold = True
                    Text =  myIni.Read ("FileFilter", "*.Asm;*.Bas;*.Nasm;*.Inc;*.Out;*.Rqi;*.Fbb;*.Rqb;*.Lst")
                    OnChange = OnChange_edtFileFilter
                    ShowHint = True
                    Hint = "Filter For Files, WildCards Allowed (*, ?)"
                End Create
            End Create
            Create edtDirectory AS QEdit
                Height = 25
                align = alClient
                Font.Bold = True
            End Create
        End Create
        Create Splitter_H AS QSPLITTER
            Align = alTop
            Cursor = crVSplit
            MinSize = 100
            Height = 8
            Color = &H00FF00
        End Create
        Create pnlRightBottom As QPanel
            Height = 300
            Align = alClient
            Create btnRefresh AS QButton
                Height = 30 ' 25
                Align = alTop
                Font.Bold = True
                Font.Size = 12
                Caption = "&REFRESH"
                OnClick = OnClic_btnRefresh
            End Create
            Create lstFiles AS QFileListBox
                Align = alClient
                Mask = "*.*"
                Font.Name = myIni.Read("DirFileListFontName",  frmFBTORQINC.Font.Name)
                Font.Size = Val(myIni.Read("DirFileListFontSize", Str$(8)))
                OnDblClick = OnDblClick_lstFiles
        End Create
        End Create
    End Create
    Create Splitter_V AS QSPLITTER
        Width = 8
        Align = alRight
        Cursor = crHSplit
        MinSize = 100
        Color = &HFF0000
    End Create
    Create pnlLeft As QPanel
        Align = alClient
        Create rchWin AS QRichEdit
            Align = alClient
            Color = Val(myIni.Read ("RchWinBGColor", Str$(&HFFFFFF)))
            Font.Name = myIni.Read ("RchWinFontName", "courier")
            Font.Size =  Val(myIni.Read ("RchWinFontSize", "8"))
            Font.Color = Val(myIni.Read ("RchWinFontColor", Str$(&H800000)))
            WordWrap = False
            ScrollBars = ssBoth
            HideSelection = False
            PlainText = True
            ExtendSizeLimit
            ShowHint = True
            OnMouseDown = OnMouseDown_rchWin
            OnKeyDown = OnKeyDown_rchWin
            OnKeyUp = OnKeyDown_rchWin
        End Create
        Create rchDoc AS QRichEdit
            Align = alClient
            Color = Val(myIni.Read ("RchDocBGColor", Str$(&HE6F9F0)))
            Font.Name = myIni.Read ("RchDocFontName", "courier")
            Font.Size =  Val(myIni.Read ("RchDocFontSize", "8"))
            Font.Color = Val(myIni.Read ("RchDocFontColor", Str$(&H800000)))
            ReadOnly = True
            WordWrap = False
            ScrollBars = ssBoth
            PlainText = True
            ExtendSizeLimit
            Visible = False
            ShowHint = True
            Hint = "ANY  KEY  TO  GO  BACK  TO  CODE  EDITOR"
            HideSelection = False
            OnMouseDown = OnMouseDown_rchDoc
            OnKeyPress = OnMouseDown_rchDoc
        End Create
    End Create
    Create mnuMain AS QMAINMENU
' FILE
        Create mnuFile AS QMENUITEM
            Caption = "&FILE    "
            Create mnuSep_00 AS QMENUITEM
                Caption = ""
            End Create
            Create mnuNew AS QMENUITEM
                Caption = "&NEW"
                OnClick = OnClic_AnyMenu
            End Create
            Create mnuSaveAs AS QMENUITEM
                Caption = "&SAVE  AS"
                OnClick = OnClic_AnyMenu
            End Create
            Create mnuNewDir AS QMENUITEM
                Caption = "&CREATE/KILL  DIR"
                OnClick = OnClic_AnyMenu
            End Create
            Create mnuSep_000 AS QMENUITEM
                Caption = ""
            End Create
        End Create
' COMPILE
        Create mnuCompile AS QMENUITEM
            Caption = "&COMPILE    "
            Create mnuSep_1 AS QMENUITEM
                Caption = ""
            End Create
            Create mnuFBBAStoRQINC AS QMENUITEM
                Caption = " FB to RQ &INC  :  displayed  freebasic  .bas  code  to  rapidq  include"
                OnClick = OnClic_AnyMenu
            End Create
            Create mnuSep_2 AS QMENUITEM
                Caption = ""
            End Create
            Create mnuSelAsm AS QMENUITEM
                Caption = " &SEL ASM to RQ INC  :  one  selected  function  in  a  displayed  freebasic  .asm  code  to  rapidq  include"
                OnClick = OnClic_AnyMenu
            End Create
            Create mnuSep_3 AS QMENUITEM
                Caption = ""
            End Create
            Create mnuFBBAStoFBASM AS QMENUITEM
                Caption = " FB to FB &ASM  :  displayed  freebasic  .bas  code  to  freebasic .asm (to use previous after)"
                OnClick = OnClic_AnyMenu
            End Create
            Create mnuSep_301 AS QMENUITEM
                Caption = "  ---"
            End Create
            Create mnuNasmToRqInc AS QMENUITEM
                Caption = " &NASM to RQ INC  :  displayed  Nasm  .Asm/.Nasm  code  to  RapidQ Inlclude"
                OnClick = OnClic_AnyMenu
            End Create
            Create mnuSep_302 AS QMENUITEM
                Caption = "  ---"
            End Create
            Create mnuRQCompileAndExecute AS QMENUITEM
                Caption = " COMPILE  &RQ  and  EXECUTE  :  requires a full RQ Installation"
                OnClick = OnClic_AnyMenu
            End Create
            Create mnuSep_304 AS QMENUITEM
                Caption = ""
            End Create
            Create  mnuFBCompileAndExecute AS QMENUITEM
                Caption = " COMPILE  &FB  and  EXECUTE  :  requires a Full FB installation"
                OnClick = OnClic_AnyMenu
            End Create
             Create mnuSep_4 AS QMENUITEM
                Caption = ""
            End Create
        End Create
' OPTIONS
        Create mnuOptions AS QMENUITEM
            Caption = "&OPTIONS    "
            Create mnuSep_04 AS QMENUITEM
                Caption = ""
            End Create
            Create mnuVerbosely AS QMENUITEM
                Caption = "COMPILE  ?&VERBOSELY"
                OnClick = OnClic_AnyMenu
                Checked = Val(myIni.Read ("CompileVerbosely", "0"))
            End Create
            Create mnuLF_Only AS QMENUITEM
                Caption = "LF  &ONLY,  no  CR  +  LF"
                OnClick = OnClic_AnyMenu
                Checked = Val(myIni.Read ("LF_Only", "0"))
            End Create
            Create mnuUseNasmBin AS QMENUITEM
                Caption = "USE  NASM.BIN  IN  $&RESOURCE  IN  REPIDQ  INCLUDE  OUTPUT  FILE"
                OnClick = OnClic_AnyMenu
                Checked = Val(myIni.Read ("UseNasmBin", "0"))
            End Create
            Create mnuStopOptimizeNasm AS QMENUITEM
                Caption = "&PAUSE  AFTER  COMPILE  NASM  TO ALLOW  OPTIMZE/CORRECTION"
                OnClick = OnClic_AnyMenu
                Checked = Val(myIni.Read ("OptimizeNasm", "0"))
            End Create
            Create mnuSep_41 AS QMENUITEM
                Caption = "  ---"
            End Create
            Create mnuFontAndColor AS QMENUITEM
                Caption = "&FONT  AND  COLOR"
                Create mnuRchWinFont AS QMENUITEM
                    Caption = "&MAIN  WINDOW  FONT"
                    OnClick = OnClic_AnyMenu
                End Create
                Create mnuRchWinBGColor AS QMENUITEM
                    Caption = "M&AIN  WINDOW  BG_COLOR"
                    OnClick = OnClic_AnyMenu
                End Create
                Create mnuSep_42 AS QMENUITEM
                    Caption = "  ---"
                End Create
                Create mnuRchDocFont AS QMENUITEM
                    Caption = "&DOC  WINDOW  FONT"
                    OnClick = OnClic_AnyMenu
                End Create
                Create mnuRchDocBGColor AS QMENUITEM
                    Caption = "D&OC  WINDOW  BG_COLOR"
                    OnClick = OnClic_AnyMenu
                End Create
                Create mnuSep_44 AS QMENUITEM
                    Caption = "  ---"
                End Create
                Create mnuDirFileFont AS QMENUITEM
                    Caption = "DIR  &FILE  LISTS  FONT"
                    OnClick = OnClic_AnyMenu
                End Create
            End Create
            Create mnuSep_004 AS QMENUITEM
                Caption = ""
            End Create
        End Create
' HELP
        Create mnuHelp AS QMENUITEM
            Caption = "&HELP    "
            Create mnuSep_020 AS QMENUITEM
                Caption = "  "
            End Create
            Create mnuWiki AS QMENUITEM
                Caption = "ONLINE FB_&WIKIPEDIA"
                OnClick = OnClic_AnyMenu
            End Create
            Create mnuForum AS QMENUITEM
                Caption = "ONLINE FB_F&ORUMS"
                OnClick = OnClic_AnyMenu
            End Create
            Create mnuFB_Chm AS QMENUITEM
                Caption = "FREEBASIC  CHM  (Local Wiki)"
                OnClick = OnClic_AnyMenu
            End Create
            Create mnuSep_24 AS QMENUITEM
                Caption = "  ---"
            End Create
            Create mnuNewBie AS QMENUITEM
                Caption = "&NEWBIE START"
                OnClick = OnClic_AnyMenu
            End Create
            Create mnuSep_0201 AS QMENUITEM
                Caption = "  ---"
            End Create
            Create mnuExamples AS QMENUITEM
                Caption = "&EXAMPLES / USAGE   Howto Type, Array, String, Double, Api"
                Create mnuPassString AS QMENUITEM
                    Caption = "PASSING  ON  &STRINGS  from RQ to FB INC"
                    OnClick = OnClic_AnyMenu
                End Create
                Create mnuPassArray AS QMENUITEM
                    Caption = "PASSING  ON  &ARRAYS  from RQ to FB INC"
                    OnClick = OnClic_AnyMenu
                End Create
                Create mnuPassType AS QMENUITEM
                    Caption = "PASSING  ON  &TYPES  from RQ to FB INC"
                    OnClick = OnClic_AnyMenu
                End Create
                Create mnuPassDouble AS QMENUITEM
                    Caption = "PASSING  ON  &DOUBLES  from RQ to FB INC"
                    OnClick = OnClic_AnyMenu
                End Create
                Create mnuCallApi AS QMENUITEM
                    Caption = "CALLING  RAPIDQ  'RESOLVED'  API  IN  FB INC"
                    OnClick = OnClic_AnyMenu
                End Create
                Create mnuSep_0215 AS QMENUITEM
                    Caption = "  ---"
                End Create
                Create mnuApiInLib32CC AS QMENUITEM
                    Caption = "LIB32/CC  RESOLVED  API  LIST"
                    OnClick = OnClic_AnyMenu
                End Create
                Create mnuApiInDll32CC AS QMENUITEM
                    Caption = "DLL32/CC  RESOLVED  API  LIST"
                    OnClick = OnClic_AnyMenu
                End Create
            End Create
            Create mnuSep_21 AS QMENUITEM
                Caption = "  ---"
            End Create
            Create mnuHelpCompile AS QMENUITEM
                Caption = "&COMPILE"
                Create mnuHelpCompSel AS QMENUITEM
                    Caption = "\"SEL ASM to RQ INC\"  :  ONE &SELECTED  FUNCTION  IN  A  DISPLAYED  FREEBASIC  .ASM  CODE  TO  RAPIDQ  INCLUDE"
                    OnClick = OnClic_AnyMenu
                End Create
                Create mnuSep_211 AS QMENUITEM
                    Caption = "  ---"
                End Create
                Create mnuHelpCompFBBAS AS QMENUITEM
                    Caption = "\"FB to RQ INC\"  :  &DISPLAYED  FREEBASIC  .BAS  CODE  TO  RAPIDQ  &INCLUDE"
                    OnClick = OnClic_AnyMenu
                End Create
            End Create
            Create mnuSep_22 AS QMENUITEM
                Caption = "  ---"
            End Create
            Create mnuHelpHelp AS QMENUITEM
                Caption = "&HELP on VARIOUS HELP"
                OnClick = OnClic_AnyMenu
            End Create
            Create mnuSep_23 AS QMENUITEM
                Caption = "  ---"
            End Create
            Create mnuHelpIDE AS QMENUITEM
                Caption = "ME  &IDE"
                OnClick = OnClic_AnyMenu
            End Create
            Create mnuOutPutType AS QMENUITEM
                Caption = "OUTPUT TYPES"
                OnClick = OnClic_AnyMenu
            End Create
            Create mnuSep_26 AS QMENUITEM
                Caption = "  ---"
            End Create
            Create mnuVeryShortAsmDoc AS QMENUITEM
                Caption = "ASSEMBLER  &VERY  SHORT  DOCUMENTATION"
                OnClick = OnClic_AnyMenu
            End Create
            Create mnuSep_0020 AS QMENUITEM
                Caption = "  "
            End Create
        End Create
        Create mnuHelpSelected AS QMENUITEM  ' Cant have it work ???
            Caption = "HELP_ON_SELECTED_FB_&KEYWORD"
            OnClick = OnClic_AnyMenu
        End Create
    End Create
    CREATE StatusBar AS QStatusBar
        AddPanels "L","","C","","",""
        Height = 25
        Panel(0).Width = 20
        Panel(0).Alignment = taCenter
        Panel(1).Width = 60   ' 40
        Panel(1).Alignment = taRightJustify
        Panel(2).Width = 20
        Panel(2).Alignment = taCenter
        Panel(3).Width = 60   ' 40
        Panel(3).Alignment = taRightJustify
        Panel(4).Width = frmFBTORQINC.clientwidth - 200
        Panel(4).Alignment = taRightJustify
        Panel(5).Width = 50
        Panel(5).Alignment = taLeftJustify
        OnResize = OnResize_StatusBar
    END CREATE
End Create
'
Create frmViewDoc As QForm
    Caption = "VIEW FREEBASIC HTML DOC"
    Top = Val(myIni.Read ("FormViewDocTop", "50"))
    Left = Val(myIni.Read ("FormViewDocLeft", "50"))
    Width = Val(myIni.Read ("FormViewDocWidth", Str$(Screen.Width - 300)))
    height = Val(myIni.Read ("FormViewDocHeight", Str$(Screen.Height - 300)))
    parent = frmFBTORQINC
    IcoHandle = FAST_ICO
    Create oleIE AS QOLECONTAINER
        Align = alClient
    End Create
    Visible = False
    OnClose = OnClose_frmViewDoc
End Create
'
