'
$ESCAPECHARS ON
$TYPECHECK ON
$INCLUDE "RAPIDQ.INC"
'
$Include "SHAKESORT.Inc"
'
sub RQShakeSort(X() as integer, N as integer)
    defint L, R, K, J
    L = 2
    R = N
    K = N
    do
      for J = R to L step -1
        if (X(J) < X(J - 1)) then
            Swap(X(J), X(J - 1))
            K = J
        end if
      next
      L = K + 1
      for J = L to R
        if (X(J) < X(J - 1)) then
            Swap(X(J), X(J - 1))
            K = J
        end if
      next
      R = K - 1
    loop until L >= R
end sub

DefStr sInput, sTmp
DefInt N

' ----- LARGE RANDOM ARRAY ----
DefInt iUBound = 499, iArrayC (0 To iUBound), iPtr
DefSng sngChrono
DefInt flagError = 0
'
Randomize Timer
' ---- WITH FBASM ----
For N = 0 To iUBound
    iArrayC(N) = ((-1) ^ (Int(2 * rnd))) * (10000 * rnd)
Next N
Print
Print 
sngChrono = Timer
iPtr = VarPtr(iArrayC(0))
ShakeSort (ptrSHAKESORT, VarPtr(iPtr), 499,0,0)
sngChrono = Timer - sngChrono
' Verify
For N = 0 To iUBound - 1
    If iArrayC(N) > iArrayC(N+1) Then
        Inc (flagError)
        ' ShowMessage ("Sort Error:\n\n" & Str$(N) & ": " & Str$(iArrayC(N)) & " - " & Str$(N + 1) & ": " & Str$(iArrayC(N + 1)))
    End If
Next N
Print "ARRAY OF ";iUBound + 1;" INTEGER SORTED WITH FBASM SHAKESORT IN ";Strf$(sngChrono, ffFixed, 7, 5)," s  SORT ERRORS: ";flagError
'
'
' ---- WITH RAPIDQ ----
flagError = 0
For N = 1 To iUBound + 1
    iArrayC(N) = ((-1) ^ (Int(2 * rnd))) * (10000 * rnd)
Next N
Print
Print 
sngChrono = Timer
RQShakeSort (iArrayC(), iUBound + 1)
sngChrono = Timer - sngChrono
' Verify
For N = 0 To iUBound
    If iArrayC(N) > iArrayC(N+1) Then
        Inc (flagError)
        ' ShowMessage ("Sort Error:\n\n" & Str$(N) & ": " & Str$(iArrayC(N)) & " - " & Str$(N + 1) & ": " & Str$(iArrayC(N + 1)))
    End If
Next N
Print "ARRAY OF ";iUBound + 1;" INTEGER SORTED WITH 100%RQ SHAKESORT IN ";Strf$(sngChrono, ffFixed, 7, 5)," s  SORT ERRORS: ";flagError
'
' ----------------------------------------------------------------------
DefStr sInput2:Input sInput2:Application.Terminate
' ----------------------------------------------------------------------
'
