'
' -------------------------------------------------------------------
' FbToRqInc    FbToRqInc.Bas      June 28th, 2006          by Jacques
' -------------------------------------------------------------------
'
$Include "XP_Sound.inc"
$INCLUDE "Qini_jp.Inc"
$Include "ShellRedir.Inc"
'
$INCLUDE "QREDEX.INC"
$ESCAPECHARS ON
$TYPECHECK ON
$INCLUDE "RAPIDQ.INC"
$Resource FAST_ICO As "Fast.Ico"
'
' =============================================
' ====  CHANGE THE FOLLOWING CONST  ===========
' =============================================
Const MAX_HEX_PER_LINE = 12      ' In the RapidQ INCLUDE text
Const SPLIT_INC_SIZE = 200       ' Maxi 500 bytes
' --- Set these to your RapidQ Path (necessary to Compile RapidQ Code and Run them)
Const RQ_LIB_DIR = "C:\\Rapid-Q\\Libs"
Const RQ_INC_DIR = "C:\\Rapid-Q\\Includes"
Const RQ_EXEPATHFILE = "c:\\Rapid-Q"
' --- Set These to your Freebasic Path (necessary to Compile Freebasic Code and Run them)
Const FBC_DIR     = "c:\\FreeBasic"
Const FBC_LIB_DIR = "c:\\FreeBasic\\Lib"
Const FBC_INC_DIR = "c:\\FreeBasic\\Inc"
'
Const VERSION = "V0.3.0 June 28th, 2006"
' =============================================
'
$OPTION ICON "Fast.ICO"
'
Type FBA_TCHOOSECOLOR
    lStructSize As Long
    hwndOwner As Long
    hInstance As Long
    rgbResult As Long
    lpCustColors As Long
    flags As Long
    lCustData As Long
    lpfnHook As Long
    lpTemplateName As Long
End Type
'
Declare Function WaitForSingleObject Lib "kernel32" Alias "WaitForSingleObject" (ByVal hHandle As Long, ByVal dwMilliseconds As Long) As Long
Declare Function FBASM_SendMessageX Lib "user32" Alias "SendMessageA" (ByVal hwnd As Long, ByVal wMsg As Long, _
                                                                 ByVal wParam As Long, lParam As Long) As Long
Declare Function ChooseColor Lib "comdlg32.dll" Alias "ChooseColorA" (pChoosecolor As FBA_TCHOOSECOLOR) As Long
Declare Function ShellExecute Lib "shell32.dll" Alias "ShellExecuteA" (ByVal hwnd As Long, _
                 ByVal lpOperation As String, ByVal lpFile As String, ByVal lpParameters As String, _
                                           ByVal lpDirectory As String, ByVal nShowCmd As Long) As Long
Declare Function MessageBox2 Lib "user32" Alias "MessageBoxA" (ByVal hwnd As Long, _
                        ByVal lpText As String, ByVal lpCaption As String, ByVal wType As Long) As Long
Declare Function SetFocus Lib "user32" Alias "SetFocus" (ByVal hwnd As Long) As Long
Declare Function CopyFile Lib "kernel32" Alias "CopyFileA" (ByVal lpExistingFileName As String, _
                                     ByVal lpNewFileName As String, ByVal bFailIfExists As Long) As Long
'
Const EM_EXLINEFROMCHAR = 1078
'
Declare Sub OnClose_frmFBTORQINC
Declare Sub OnClic_AnyMenu (Sender As QMenuItem)
Declare Sub OnClic_btnRefresh
Declare Sub OnChange_Directory
Declare Sub OnChange_edtFileFilter (Key As Long)
Declare Sub OnDblClick_lstFiles
Declare Function FbCompileToAsm () As String
Declare Sub ShellRedirCallBack (Text As String)
Declare Function ExtractNextAsmFunction () As String
Declare Sub Wait (duration As Single)
Declare Function TranslateASMtoNASM (sAsm as string) As String
Declare Function NasmToBin () As String
Declare Sub BintoRQInc
Declare Sub DeletePreviousFiles
Declare Sub OnMouseDown_rchDoc
Declare Sub OnClose_frmViewDoc (Action As Long)
Declare SUB MinSet (fhand as integer, gwl_hand as integer, hwnd as integer, apphand as integer)
Declare Sub OnMouseDown_rchWin (Button%, X%, Y%, Shift%)
Declare Sub OnKeyDown_rchWin
Declare Sub OnResize_StatusBar
Declare Sub BackUpFile (sFile As String)
Declare Sub SaveWinTextAs (sFile As String)
'
Dim myIni As QIni
$Include "Form.Inc"
$Include "Documentation.Inc"
'
' ---------------------------------------------------------------------
' To Correct RapidQ Minimizing on the DeskTop
' -------------------------------------------
DECLARE FUNCTION SetWindowLong LIB "user32" ALIAS "SetWindowLongA" (hWnd AS LONG, nIndex AS LONG, dwNewLong AS LONG) AS LONG
SUB MinSet (fhand as integer, gwl_hand as integer, hwnd as integer, apphand as integer)
    setwindowlong(fhand, Gwl_Hand, hwnd)
    setwindowlong(apphand, GWL_Hand, fhand)
End SUB
MinSet(frmFBTORQINC.handle, -8, 0, application.handle)
' ---------------------------------------------------------------------
DefStr sNowDir
DefStr sSelPath = "", sSelFile = "", sSelPathFile = "", sSelFileNoExt = "", sSelExt = ""
DefStr sAppDir = Command$(0) - Application.ExeName
sNowDir = myIni.Read ("InitialDir", sAppDir)
edtDirectory.Text = sNowDir
dirTree.InitialDir = sNowDir
ChDir sNowDir
lstFiles.Directory = sNowDir
DefInt flagMenuBusy = False
DefStr sError = "", sFuncName, sAllInc, sAll
DefInt iScanAsmLine = 0, iArgNumber
'
' Initialise the StatusBar
StatusBar.Panel(1).Caption = "0"
StatusBar.Panel(3).Caption = "0"
StatusBar.Panel(4).Caption = " Use the FileListBob and the DirTree to load a file"
' *************************************
frmFBTORQINC.Show
' *************************************
'
DefInt iRet
If FileExists (sAppDir & "Fbc.exe") = 0 Then
    If MessageDlg(" FBC.EXE, THE FREEBASIC WIN32 COMPILER,\n IS NOT IN THE  \"FbToRqIn\"  DIRECTORY" _
                & "\n\n IF YOU HAVE A RECENT VERSION (>014) OF IT,\n COPY IT IN  \"FbToRqIn\"  DIRECTORY NOW !" _
                & "\n\n ??? IF NOT, DO YOU WANT TO DOWNLOAD IT\n AT FreeBasic SITE NOW ??? ", mtConfirmation, mbYes OR mbNo, 0) = IdYes Then
        iRet = ShellExecute (frmFBTORQINC.Handle, "Open", "http://prdownloads.sourceforge.net/fbc/FB-v0.16b-may-29-testing-win32.zip?download", "", "", 1) ' 27
    End If
End If
'
If FileExists (sAppDir & "Nasmw.exe") = 0 Then
    If MessageDlg(" NASMW.EXE, THE NASMW WIN32 COMPILER,\n IS NOT IN THE  \"FbToRqIn\"  DIRECTORY" _
                & "\n\n IF YOU HAVE A VERSION OF IT,\n COPY IT IN  \"FbToRqIn\"  DIRECTORY NOW !" _
                & "\n\n ???  DO YOU WANT TO DOWNLOAD IT\n AT NASM SOURCEFORGE SITE NOW ??? ", mtConfirmation, mbYes OR mbNo, 0) = IdYes Then
        iRet = ShellExecute (frmFBTORQINC.Handle, "Open", "http://prdownloads.sourceforge.net/nasm/nasm-0.98.40-win32.zip?download", "", "", 1)  ' 39
    End If
End If
'
If (FileExists (sAppDir & "Nasmw.exe") = 0 Or FileExists (sAppDir & "Fbc.exe") = 0) Then
    ShowMessage ("FbToRqInc  CANNOT WORK WITHOUT FBC.EXE  and  NASMW.EXE\n\n" _
              &   "IN THE DIRECTORY OF  \"FbToRqInc\"\n\n   ***  I WILL QUIT  ***    Nothing Done")
    Application.Terminate
End If
'
Application.HintHidePause = 400
Application.HintPause = 50
Application.HintShortPause = 50
'
rchWin.Text = sWelcome
'
' *************************************
frmFBTORQINC.Visible = False
frmFBTORQINC.ShowModal
' *************************************
'
$Include "Menu.Inc"
$Include "Events.Inc"
$Include "Functions.Inc"
'
